import request from "@/utils/request";

// 获取全部私有厅局列表
export const findAllNotVisibleOrganizeList = () => {
  return request({
    url: `/api/process/itsm/findAllNotVisibleOrganizeList`,
    method: "GET"
  });
};

// 根据厅局ID获取全部不可见系统列表
export const findAllNotVisibleSystemListByOrganizeId = (
  organizeId,
  systemName,
  userId
) => {
  return request({
    url: `/api/process/itsm/findAllNotVisibleSystemListByOrganizeId?organizeId=${organizeId}&systemName=${systemName}&userId=${userId}`,
    method: "GET"
  });
};

// 更新厅局系统用户可见列表
export const updateRelationList = (data, userId) => {
  return request({
    url: `/api/process/itsm/updateRelationList?userId=${userId}`,
    method: "POST",
    data
  });
};


// 同步厅局系统ID
export const synchronizeOrganizeRelation = () => {
  return request({
    url: `/api/process/itsm/synchronizeOrganizeRelation`,
    method: "POST",
  });
};
